using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Avalonia.Media;

namespace PortfolioManager.UIUtils
{
  public class BrushCollection
  {
    public enum BrushColor{Black=0,Red=1,Green=2,Blue=3,Yellow=4,LightGreen=5,Purple=6,Indigo=7,White=8,Cyan=9};
    public static Brush[] ContextBrushes={
     new SolidColorBrush(Color.FromRgb(0, 0, 0)),
     new SolidColorBrush(Color.FromRgb(255, 0, 0)),
     new SolidColorBrush(Color.FromRgb(0, 128, 0)),
     new SolidColorBrush(Color.FromRgb(0, 0, 255)),
     new SolidColorBrush(Color.FromRgb(255, 255, 0)),
     new SolidColorBrush(Color.FromRgb(144, 238, 144)),
     new SolidColorBrush(Color.FromRgb(128, 0, 128)),
     new SolidColorBrush(Color.FromRgb(75, 0, 130)),
     new SolidColorBrush(Color.FromRgb(255, 255, 255)),
     new SolidColorBrush(Color.FromRgb(0, 255, 255)),
    };
    private BrushCollection()
    {
    }
    public static IBrush GetContextBrush(BrushColor brushColor)
    {
      return ContextBrushes[(int)brushColor];
    }
  }
}